import java.io.*;

public class Demo
{
    public static void fileWriter() throws IOException {
        FileWriter fw = new FileWriter("out.txt");
        
        fw.write('a');
        fw.write("asdasd");
        fw.write('š');
        fw.write('\n'); 
        fw.write(System.getProperty("line.separator"));
    
        fw.close();
        
        //fw.write('a'); // vyhodi IOExcpetion
    }
    
    public static void bufferedWriter() throws IOException {
        //FileWriter fw = new FileWriter("out.txt");
        //BufferedWriter bw = new BufferedWriter(fw);
        BufferedWriter bw = new BufferedWriter(new FileWriter("out.txt"));
        
        //fw.write('a');
        bw.write('b');
        bw.newLine();
        
        bw.close();
        
    }
    
    public static void bufferedWriter(Writer writer) throws IOException {
        BufferedWriter bw = new BufferedWriter(writer);
        
        bw.write("Ahoj, jak je?");
        bw.newLine();
        bw.write("Dneska tezko pokecame.");
        bw.newLine();
        
        //bw.close();
        bw.flush();
        
    }
    
    public static void foo() throws IOException {
        FileWriter fw = new FileWriter("out.txt");
        bufferedWriter(fw);
        fw.write("cas je mi v patach");
        fw.close();
    }
    
    public static void fileReader() throws IOException {
        FileReader fr = new FileReader("out.txt");
        
        int c = fr.read();
        while (c != -1) {
            System.out.println((char) c);
            c = fr.read();
        }
        
        fr.close();
    }
    
    public static void bufferedReader() throws IOException {
        BufferedReader br = new BufferedReader(new FileReader("out.txt"));
        String line = br.readLine();
        while (line != null) {
            System.out.println(line);
            line = br.readLine();
        }
        br.close();
        
        //for (String line = br.readLine(); line != null; line = br.readLine()) {
        //    System.out.println(line);
        //}
    }
    
    public static void printWriter() throws IOException {
        PrintWriter pw = new PrintWriter("out.txt");
        
        pw.println("Ahoj, jak je?");
        pw.println("Dneska tezko pokecame.");
        
        if (pw.checkError()) {
            throw new IOException("aaa");
        }
        
        pw.close();
    }
    
    public static void outputStream() throws IOException {
        FileOutputStream fw = new FileOutputStream("out.bin");
        
        fw.write('a');
        //fw.write("asdasd");
        fw.write('š');
        fw.write('\n'); 
        //fw.write(System.getProperty("line.separator"));
    
        fw.close();
    }
}









